be.vlaanderen.mercurius.efact.df019.v1

## Class CancelledCareServiceType

- java.lang.Object
- - be.vlaanderen.mercurius.efact.df019.v1.CareServiceType
  - - be.vlaanderen.mercurius.efact.df019.v1.CancelledCareServiceType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-30T12:34:27+02:00",
                 comments="JAXB RI v2.3.7")
      public class CancelledCareServiceType
      extends CareServiceType
      implements Serializable

  Java class for CancelledCareServiceType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CancelledCareServiceType">
         <complexContent>
           <extension base="{http://www.mercurius.vlaanderen.be/efact/df019/v1}CareServiceType">
             <sequence>
               <element name="ExternalReference" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CancelledCareServiceType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getExternalReference()` Gets the value of the externalReference property.
    `void` | `setExternalReference(String value)` Sets the value of the externalReference property.

    - ### Methods inherited from class be.vlaanderen.mercurius.efact.df019.v1.CareServiceType

      `getCareServiceAmounts, getCareServiceCode, getNumberUnits, getRelativeCareServiceCode, setCareServiceAmounts, setCareServiceCode, setNumberUnits, setRelativeCareServiceCode`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CancelledCareServiceType

          public CancelledCareServiceType()

  - ### Method Detail

    - #### getExternalReference

          public String getExternalReference()

      Gets the value of the externalReference property.
      Returns:
        possible object is `String`

    - #### setExternalReference

          public void setExternalReference(String value)

      Sets the value of the externalReference property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging TRUSSMAKER 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.